Skip to main content
POST
/
api
/
v1
/
variants
/
colors
Generate color variants
curl --request POST \
  --url https://api.kynva.ai/api/v1/variants/colors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "colors": {
    "primary": "<string>",
    "secondary": "<string>",
    "accent": "<string>",
    "background": "<string>"
  },
  "count": 5,
  "mood": "<string>"
}
'
import requests

url = "https://api.kynva.ai/api/v1/variants/colors"

payload = {
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>",
"background": "<string>"
},
"count": 5,
"mood": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
colors: {
primary: '<string>',
secondary: '<string>',
accent: '<string>',
background: '<string>'
},
count: 5,
mood: '<string>'
})
};

fetch('https://api.kynva.ai/api/v1/variants/colors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
colors
object
required
count
number
default:5
Required range: 2 <= x <= 10
mood
string

Target mood for variations

Response

200

Default Response